#ifndef KYLIN_SYSTEM_SESSION_MANAGEMENT_H_
#define KYLIN_SYSTEM_SESSION_MANAGEMENT_H_

#include <QDBusInterface>
#include <QString>

#include "currency.hpp"

namespace kdk
{
namespace kabase
{

class SessionManagement
{
public:
    SessionManagement();
    ~SessionManagement();

    /**
     * @brief 设置禁止锁屏
     *
     * @param appName 应用名
     * @param reason 原因
     *
     * @retval 非0正整数 成功
     * @retval 0 失败
     */
    quint32 setInhibitLockScreen(AppName appName, QString reason);

    /**
     * @brief 取消禁止锁屏
     *
     * @param flag setNoLockScreen函数 返回值
     *
     * @retval true 成功
     * @retval false 失败
     */
    bool unInhibitLockScreen(quint32 flag);
};

} /* namespace kabase */
} /* namespace kdk */

#endif